<View::Base::SourceRecord
  @onLoad={{this.recordLoaded}}
  @model={{@model}}
  @value={{@value}}
  @path={{@path}}
  @isEditor={{@isEditor}}
  class="page-col-profile-card use-highlights"
>
  <Container
    @value={{@value.data.container}}
    @deviceSize={{@deviceSize}}
    class="{{if this.isEmpty 'empty'}}"
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-path="{{@path}}.data.container"
    ...attributes
  >
    {{#if this.profile}}
      <PictureWithOptions
        class="user-profile-picture"
        @isEditor={{@isEditor}}
        @options={{@value.data.picture}}
        @deviceSize={{@deviceSize}}
        @name={{this.picture.name}}
        @meta={{this.picture.meta}}
        @src={{this.picture.picture}}
        @hash={{this.picture.hash}}
        data-path="{{@path}}.data.picture"
        data-name={{@value.name}}
      />

      <div class="flex-column ps-2 pe-2 d-flex justify-content-center">
        <TextWithOptions
          @deviceSize={{@deviceSize}}
          @options={{@value.data.profileName}}
          @tag="a"
          @to={{this.profilePath}}
          @isEditor={{@isEditor}}
          class="profile-name"
          data-name={{@value.name}}
          data-gid={{@value.gid}}
          data-editor="text-with-options"
          data-path="{{@path}}.data.profileName"
        >
          {{this.profile.fullName}}
        </TextWithOptions>

        <TextWithOptions
          @deviceSize={{@deviceSize}}
          @options={{@value.data.profileBio}}
          @isEditor={{@isEditor}}
          data-name={{@value.name}}
          data-gid={{@value.gid}}
          data-editor="text-with-options"
          data-path="{{@path}}.data.profileBio"
        >
          <MarkDown
            class="profile-description
              {{col-size-limit @deviceSize this.descriptionClasses}}"
            @value={{truncate this.profile.bio 50 true}}
          />
        </TextWithOptions>

      </div>
    {{/if}}
  </Container>
</View::Base::SourceRecord>